Subject: Re: Kernel 2.6 IPV6 Busted

From: Jeff Garzik <[email-masked]>
Date: Wed, 02 Mar 2005 14:12:40 -0500

Denis Vlasenko wrote:
> On Tuesday 01 March 2005 18:26, Jeff Garzik wrote:
> 
>>>>There are many very important optimizations we've had to disable
>>>>by default just in TCP alone because of NAT.
>>>
>>>I don't think future Internet will be safe enough to open
>>>corporate networks. I definitely won't do it.
>>>NAT firewall in front of my net is an absolute requirement
>>>for me.
>>>
>>>However, IPv6 in Internet won't happen tomorrow,
>>>no rush...
>>
>>You don't need NAT to secure a corporate network.
> 
> 
> I don't want outside world to even KNOW that I have a network
> behind the firewall box. I don't want them to know
> internal hosts' IPs.

  ...thus breaking the end-to-end connection model, and various protocols.

	Jeff